[SRU] Bugfix release 1.2.4

Bug #1312305 reported by Iain Lane on 2014-04-24
22
This bug affects 3 people
Affects Status Importance Assigned to Milestone
gst-libav1.0 (Ubuntu)
Undecided
Iain Lane
Trusty
Undecided
Unassigned
gst-plugins-bad1.0 (Ubuntu)
Undecided
Iain Lane
Trusty
Undecided
Unassigned
gst-plugins-base1.0 (Ubuntu)
Undecided
Sebastien Bacher
Trusty
Undecided
Unassigned
gst-plugins-good1.0 (Ubuntu)
Undecided
Iain Lane
Trusty
Undecided
Unassigned
gstreamer1.0 (Ubuntu)
Undecided
Sebastien Bacher
Trusty
Undecided
Unassigned

Bug Description

[ Description ]

This is the upstream bugfix point release which fixes many crashers and other important bugs.

GStreamer core:
      * 724373 : Queue2 truncates its temp file when pipeline is paused
      * 725517 : docs: Fix typos and remove unknown annotations
      * 725809 : ghostpad: rare crash because of missing reference count on its target pad
      * 727253 : parse: Bison generated file included in the release tarballs causes compile errors
      * 727883 : baseparse: Memory leak of queue frames

GStreamer Plugins Base:
      * 693263 : typefinding: MPEG-2 video ES detected as H.263
      * 683504 : playsink: deadlock when disabling subtitles and suboptimal disabling of subtitles
      * 700770 : typefinding: mp3 file mis-detected as h263 video
      * 723597 : tagdemux: Seek event in GST_FORMAT_TIME are converted to BYTES to early
      * 724633 : oggdemux: ignores last page in push mode
      * 724720 : rtspconnection: not possible to disconnect/reconnect read connection in tunneled mode
      * 725313 : rtspconnection: closed() callback is never called in tunneled mode
      * 725644 : typefinding: mp3 file is misdetected as H.263
      * 726642 : rtspconnection: minor memory leak in error handling
      * 727025 : adder: rework the logic to check if eos has to be sent.

GStreamer Plugins Good:
      * 725104 : qtdemux: reverse playback and video stream switching failure
      * 722185 : souphttpsrc: racy " server does not support seeking " error
      * 724619 : crash when reading the device name property of pulsesink
      * 725124 : rtspsrc: Fix deadlock when task creation is no successful
      * 725712 : rtpsession: Crash when RTCP FIR received with unknown SSRC
      * 725860 : v4l2src: Fix using v4l2src with Hauppauge HDPVR video capture device
      * 726777 : rtpjpegpay: payload size not correctly calculated
      * 728017 : [regression]eos event could not be send out from gstrtpjitterbuffer.
      * 728041 : rtph264depay: marks all output buffers as delta units when outputting avc format
      * 724638 : aacparse : Missing resilience when no audio frame is found
      * 727329 : check: souphttpsrc: unknown type name ‘SoupStatus’

GStreamer Plugins Bad:
      * 724013 : Don't hardcode /usr/share/sounds/sf2 path in fluiddec
      * 725137 : hlsdemux: fails to compute media playlist URL if there is a query parameter
      * 725140 : hlsdemux: fails to correctly parse CODECS and RESOLUTION

GStreamer libav Plugins:
      * 727779 : avdec_h264, matroskademux: crash while seeking (1.2 regression)

[ QA ]

We're asking to take the upstream point releases as they are. The software contains testsuites, but manual testing is also necessary.

We should check multiple clients (banshee, totem, rhythmbox, shotwell, cheese, handbrake ...) with a combination of input/output formats. Make sure that good, bad and libav are all exercised.

If you like, require an extended verification period or multiple verifications.

[ Regression potential ]

The fixes could introduce bugs of their own. Test as thoroughly as you can, since it's not going to be possible to verify each fix.

Iain Lane (laney) on 2014-04-24
Changed in gstreamer1.0 (Ubuntu):
status: New → In Progress
assignee: nobody → Iain Lane (laney)
Iain Lane (laney) on 2014-04-24
Changed in gst-plugins-good1.0 (Ubuntu):
status: New → In Progress
Changed in gst-plugins-base1.0 (Ubuntu):
status: New → In Progress
Changed in gst-plugins-bad1.0 (Ubuntu):
status: New → In Progress
Changed in gst-libav1.0 (Ubuntu):
status: New → In Progress
assignee: nobody → Iain Lane (laney)
Changed in gst-plugins-bad1.0 (Ubuntu):
assignee: nobody → Iain Lane (laney)
Changed in gst-plugins-good1.0 (Ubuntu):
assignee: nobody → Iain Lane (laney)
Changed in gstreamer1.0 (Ubuntu):
assignee: Iain Lane (laney) → Sebastien Bacher (seb128)
Changed in gst-plugins-base1.0 (Ubuntu):
assignee: nobody → Sebastien Bacher (seb128)
Iain Lane (laney) on 2014-04-24
description: updated
Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in gst-libav1.0 (Ubuntu Trusty):
status: New → Confirmed
Changed in gst-plugins-bad1.0 (Ubuntu Trusty):
status: New → Confirmed
Changed in gst-plugins-base1.0 (Ubuntu Trusty):
status: New → Confirmed
Changed in gst-plugins-good1.0 (Ubuntu Trusty):
status: New → Confirmed
Changed in gstreamer1.0 (Ubuntu Trusty):
status: New → Confirmed
Iain Lane (laney) wrote :

All uploaded to trusty-proposed/unapproved.

Changed in gst-libav1.0 (Ubuntu Trusty):
status: Confirmed → In Progress
Changed in gst-plugins-bad1.0 (Ubuntu Trusty):
status: Confirmed → In Progress
Changed in gst-plugins-base1.0 (Ubuntu Trusty):
status: Confirmed → In Progress
Changed in gst-plugins-good1.0 (Ubuntu Trusty):
status: Confirmed → In Progress
Changed in gstreamer1.0 (Ubuntu Trusty):
status: Confirmed → In Progress
Iain Lane (laney) wrote :

-bad and -good uploaded to utopic-proposed/unapproved, the others synced

Changed in gst-libav1.0 (Ubuntu):
status: In Progress → Fix Committed
Changed in gst-plugins-bad1.0 (Ubuntu):
status: In Progress → Fix Committed
Changed in gst-plugins-base1.0 (Ubuntu):
status: In Progress → Fix Committed
Changed in gst-plugins-good1.0 (Ubuntu):
status: In Progress → Fix Committed
Changed in gstreamer1.0 (Ubuntu):
status: In Progress → Fix Committed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package gst-plugins-good1.0 - 1.2.4-1ubuntu1

---------------
gst-plugins-good1.0 (1.2.4-1ubuntu1) utopic; urgency=low

  * Merge from Debian unstable (LP: #1312305). Remaining changes:
    + Import plugins from -bad that are needed for main applications.
      - jpegformat
      - camerabin2 (+ basecamerabinsrc + photography)
    + Break and Replace -bad versions which contained these plugins.
    + Add a library package containing the shared library and a -dev package for
      compiling against it. Add Breaks and Replaces against the plugins packages
      which formerly contained files shipped here.

gst-plugins-good1.0 (1.2.4-1) unstable; urgency=medium

  * New upstream bugfix release:
    + debian/rules:
      - Build-depend on gstreamer >= 1.2.4.
 -- Iain Lane <email address hidden> Fri, 25 Apr 2014 10:36:36 +0100

Changed in gst-plugins-good1.0 (Ubuntu):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package gst-plugins-bad1.0 - 1.2.4-1ubuntu1

---------------
gst-plugins-bad1.0 (1.2.4-1ubuntu1) utopic; urgency=low

  * Merge with Debian unstable (LP: #1312305); remaining changes:
    + Stop installing camerabin2 basecamerabin jpegformat - plugins which have
    moved to -good.
    + Provide gstreamer-plugins-bad-1.0.pc with Requires on
      gstreamer-plugins-good-1.0 - the package we've moved the referenced
      library to. This maintains compatibility with upstream software and
      other distributions.
    + debian/patches/adding-mirsink-and-android-media-over-hybris-support.patch:
      - Adding mirsink and Android media over hybris support, for hardware
        accelerated decode using libstagefright and the hybris compat layer.
    + debian/control.in:
      - Making the hybris plugin as part of a separated package, and i386 and
        armhf only (can only work with android compatible archs)
    + debian/build-deps.in:
      - Adding mirsink/android decoder specific build dependencies for i386 and
        armhf (libplatform-api1-dev and libmedia-dev)
    + Split videoparsers and faad out into their own packages.

gst-plugins-bad1.0 (1.2.4-1) unstable; urgency=medium

  * debian/build-deps.in,
    debian/gstreamer-plugins-bad.install:
    + Enable mplex plugin (Closes: #726064).
  * New upstream bugfix release.
 -- Iain Lane <email address hidden> Fri, 25 Apr 2014 10:34:39 +0100

Changed in gst-plugins-bad1.0 (Ubuntu):
status: Fix Committed → Fix Released
Iain Lane (laney) on 2014-05-13
Changed in gst-libav1.0 (Ubuntu):
status: Fix Committed → Fix Released
Changed in gst-plugins-base1.0 (Ubuntu):
status: Fix Committed → Fix Released
Changed in gstreamer1.0 (Ubuntu):
status: Fix Committed → Fix Released

Hello Iain, or anyone else affected,

Accepted gstreamer1.0 into trusty-proposed. The package will build now and be available at http://launchpad.net/ubuntu/+source/gstreamer1.0/1.2.4-0ubuntu1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in gstreamer1.0 (Ubuntu Trusty):
status: In Progress → Fix Committed
tags: added: verification-needed
Chris J Arges (arges) wrote :

Hello Iain, or anyone else affected,

Accepted gst-plugins-base1.0 into trusty-proposed. The package will build now and be available at http://launchpad.net/ubuntu/+source/gst-plugins-base1.0/1.2.4-1~ubuntu1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in gst-plugins-base1.0 (Ubuntu Trusty):
status: In Progress → Fix Committed
Chris J Arges (arges) wrote :

Hello Iain, or anyone else affected,

Accepted gst-libav1.0 into trusty-proposed. The package will build now and be available at http://launchpad.net/ubuntu/+source/gst-libav1.0/1.2.4-1~ubuntu1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in gst-libav1.0 (Ubuntu Trusty):
status: In Progress → Fix Committed
Changed in gst-plugins-good1.0 (Ubuntu Trusty):
status: In Progress → Fix Committed
Chris J Arges (arges) wrote :

Hello Iain, or anyone else affected,

Accepted gst-plugins-good1.0 into trusty-proposed. The package will build now and be available at http://launchpad.net/ubuntu/+source/gst-plugins-good1.0/1.2.4-1~ubuntu1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in gst-plugins-bad1.0 (Ubuntu Trusty):
status: In Progress → Fix Committed
Chris J Arges (arges) wrote :

Hello Iain, or anyone else affected,

Accepted gst-plugins-bad1.0 into trusty-proposed. The package will build now and be available at http://launchpad.net/ubuntu/+source/gst-plugins-bad1.0/1.2.4-1~ubuntu1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Timo Jyrinki (timo-jyrinki) wrote :

I've tested casually on my home computer last weekend. I now additionally specifically tested 3gp, flv (Sorenson), m4a (audio only), mp4 (h.264), webm on a kvm/spicy virtual machine remotely without seeing regressions.

Iain Lane (laney) wrote :

I've been running the proposed packages since uploading them, testing a variety of formats in many clients. All work as before. I'm setting to v-done.

tags: added: verification-done
removed: verification-needed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package gstreamer1.0 - 1.2.4-0ubuntu1

---------------
gstreamer1.0 (1.2.4-0ubuntu1) trusty; urgency=medium

  * Upload Debian bugfix update as a trusty SRU (lp: #1312305)

  [ Sebastian Dröge ]
  * New upstream bugfix release.
 -- Sebastien Bacher <email address hidden> Thu, 24 Apr 2014 13:41:41 +0200

Changed in gstreamer1.0 (Ubuntu Trusty):
status: Fix Committed → Fix Released

The verification of the Stable Release Update for gstreamer1.0 has completed successfully and the package has now been released to -updates. Subsequently, the Ubuntu Stable Release Updates Team is being unsubscribed and will not receive messages about this bug report. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regresssions.

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package gst-plugins-base1.0 - 1.2.4-1~ubuntu1

---------------
gst-plugins-base1.0 (1.2.4-1~ubuntu1) trusty; urgency=medium

  * Upload Debian bugfix update as a trusty SRU (lp: #1312305)

  [ Sebastian Dröge ]
  * New upstream bugfix release.
 -- Sebastien Bacher <email address hidden> Thu, 24 Apr 2014 13:47:16 +0200

Changed in gst-plugins-base1.0 (Ubuntu Trusty):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package gst-plugins-good1.0 - 1.2.4-1~ubuntu1

---------------
gst-plugins-good1.0 (1.2.4-1~ubuntu1) trusty; urgency=medium

  * SRU Utopic merge to trusty to get bugfix release 1.2.4 (LP: #1312305)
    + qtdemux: reverse playback and video stream switching failure
    + souphttpsrc: racy " server does not support seeking " error
    + crash when reading the device name property of pulsesink
    + rtspsrc: Fix deadlock when task creation is no successful
    + rtpsession: Crash when RTCP FIR received with unknown SSRC
    + v4l2src: Fix using v4l2src with Hauppauge HDPVR video capture device
    + rtpjpegpay: payload size not correctly calculated
    + [regression]eos event could not be send out from gstrtpjitterbuffer.
    + rtph264depay: marks all output buffers as delta units when outputting avc format
    + aacparse : Missing resilience when no audio frame is found
    + check: souphttpsrc: unknown type name ‘SoupStatus’

gst-plugins-good1.0 (1.2.4-1ubuntu1) trusty; urgency=low

  * Merge from Debian unstable. Remaining changes:
    + Import plugins from -bad that are needed for main applications.
      - jpegformat
      - camerabin2 (+ basecamerabinsrc + photography)
    + Break and Replace -bad versions which contained these plugins.
    + Add a library package containing the shared library and a -dev package for
      compiling against it. Add Breaks and Replaces against the plugins packages
      which formerly contained files shipped here.

gst-plugins-good1.0 (1.2.4-1) unstable; urgency=medium

  * New upstream bugfix release:
    + debian/rules:
      - Build-depend on gstreamer >= 1.2.4.
 -- Iain Lane <email address hidden> Fri, 25 Apr 2014 11:11:42 +0100

Changed in gst-plugins-good1.0 (Ubuntu Trusty):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package gst-plugins-bad1.0 - 1.2.4-1~ubuntu1

---------------
gst-plugins-bad1.0 (1.2.4-1~ubuntu1) trusty; urgency=medium

  * SRU Utopic update to trusty to get bugfix release 1.2.4 (LP: #1312305)
    + Don't hardcode /usr/share/sounds/sf2 path in fluiddec
    + hlsdemux: fails to compute media playlist URL if there is a query parameter
    + hlsdemux: fails to correctly parse CODECS and RESOLUTION
  * Don't enable mplex plugin.

gst-plugins-bad1.0 (1.2.4-1ubuntu1) trusty; urgency=low

  * Merge with Debian unstable; remaining changes:
    + Stop installing camerabin2 basecamerabin jpegformat - plugins which have
    moved to -good.
    + Provide gstreamer-plugins-bad-1.0.pc with Requires on
      gstreamer-plugins-good-1.0 - the package we've moved the referenced
      library to. This maintains compatibility with upstream software and
      other distributions.
    + debian/patches/adding-mirsink-and-android-media-over-hybris-support.patch:
      - Adding mirsink and Android media over hybris support, for hardware
        accelerated decode using libstagefright and the hybris compat layer.
    + debian/control.in:
      - Making the hybris plugin as part of a separated package, and i386 and
        armhf only (can only work with android compatible archs)
    + debian/build-deps.in:
      - Adding mirsink/android decoder specific build dependencies for i386 and
        armhf (libplatform-api1-dev and libmedia-dev)
    + Split videoparsers and faad out into their own packages.

gst-plugins-bad1.0 (1.2.4-1) unstable; urgency=medium

  * debian/build-deps.in,
    debian/gstreamer-plugins-bad.install:
    + Enable mplex plugin (Closes: #726064).
  * New upstream bugfix release.
 -- Iain Lane <email address hidden> Fri, 25 Apr 2014 11:00:27 +0100

Changed in gst-plugins-bad1.0 (Ubuntu Trusty):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package gst-libav1.0 - 1.2.4-1~ubuntu1

---------------
gst-libav1.0 (1.2.4-1~ubuntu1) trusty; urgency=medium

  * SRU upstream bugfix update to Trusty (LP: #1312305)
  * Fixes crashes / problems seeking in some videos (LP: #1290368)

gst-libav1.0 (1.2.4-1) unstable; urgency=medium

  * New upstream bugfix release:
    + Fixes crash when seeking in h264 videos (Closes: #739579).
 -- Iain Lane <email address hidden> Thu, 24 Apr 2014 17:48:57 +0100

Changed in gst-libav1.0 (Ubuntu Trusty):
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers